package com.ruoyi.project.pssr.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.project.pssr.mapper.TPssrOverhaulFilterMapper;
import com.ruoyi.project.pssr.domain.TPssrOverhaulFilter;
import com.ruoyi.project.pssr.service.ITPssrOverhaulFilterService;

/**
 * 检修项目-过滤器Service业务层处理
 *
 * @author ssy
 * @date 2024-09-18
 */
@Service
public class TPssrOverhaulFilterServiceImpl implements ITPssrOverhaulFilterService
{
    @Autowired
    private TPssrOverhaulFilterMapper tPssrOverhaulFilterMapper;

    /**
     * 查询检修项目-过滤器
     *
     * @param id 检修项目-过滤器ID
     * @return 检修项目-过滤器
     */
    @Override
    public TPssrOverhaulFilter selectTPssrOverhaulFilterById(Long id)
    {
        return tPssrOverhaulFilterMapper.selectTPssrOverhaulFilterById(id);
    }

    /**
     * 查询检修项目-过滤器列表
     *
     * @param tPssrOverhaulFilter 检修项目-过滤器
     * @return 检修项目-过滤器
     */
    @Override
    public List<TPssrOverhaulFilter> selectTPssrOverhaulFilterList(TPssrOverhaulFilter tPssrOverhaulFilter)
    {
        return tPssrOverhaulFilterMapper.selectTPssrOverhaulFilterList(tPssrOverhaulFilter);
    }

    /**
     * 新增检修项目-过滤器
     *
     * @param tPssrOverhaulFilter 检修项目-过滤器
     * @return 结果
     */
    @Override
    public int insertTPssrOverhaulFilter(TPssrOverhaulFilter tPssrOverhaulFilter)
    {
        return tPssrOverhaulFilterMapper.insertTPssrOverhaulFilter(tPssrOverhaulFilter);
    }

    /**
     * 修改检修项目-过滤器
     *
     * @param tPssrOverhaulFilter 检修项目-过滤器
     * @return 结果
     */
    @Override
    public int updateTPssrOverhaulFilter(TPssrOverhaulFilter tPssrOverhaulFilter)
    {
        return tPssrOverhaulFilterMapper.updateTPssrOverhaulFilter(tPssrOverhaulFilter);
    }
    @Override
    public int updateAllBySubId(TPssrOverhaulFilter tPssrOverhaulFilter)
    {
        return tPssrOverhaulFilterMapper.updateAllBySubId(tPssrOverhaulFilter);
    }

    /**
     * 批量删除检修项目-过滤器
     *
     * @param ids 需要删除的检修项目-过滤器ID
     * @return 结果
     */
    @Override
    public int deleteTPssrOverhaulFilterByIds(Long[] ids)
    {
        return tPssrOverhaulFilterMapper.deleteTPssrOverhaulFilterByIds(ids);
    }

    /**
     * 删除检修项目-过滤器信息
     *
     * @param id 检修项目-过滤器ID
     * @return 结果
     */
    @Override
    public int deleteTPssrOverhaulFilterById(Long id)
    {
        return tPssrOverhaulFilterMapper.deleteTPssrOverhaulFilterById(id);
    }
}
